{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "type": "java",
            "name": "Debug (Launch) - Current File",
            "request": "launch",
            "mainClass": "${file}"
        },
        {
            "type": "java",
            "name": "Debug With MC Server",
            "request": "attach",
            "hostName": "localhost",
            "port": 25566,
            "sourcePaths": ["src/main/java"],
            "preLaunchTask": "start test server",
            "postDebugTask": "stop test server"
        }
    ]
}